// --- Declancher lors du chargement de la page
//
window.addEventListener('DOMContentLoaded', function() {

	// Recuperer l'element video de la webcam
	var webcam = document.getElementById('webcam');

	// Recuperer l'API getUserMedia selon le support du navigateur
	navigator.getUserMedia = (navigator.getUserMedia || 
							  navigator.webkitGetUserMedia || 
							  navigator.mozGetUserMedia || 
							  navigator.msGetUserMedia);
							  
	// Demander l'acces au dispositif webcam				  
	if(navigator.getUserMedia) {
		
		// Demander l'acces
		navigator.getUserMedia(
			// Indiquer ce que l'on desire recuperer
			{
				video:true,
				audio:true
			},
			// --- Fonction traitant le succes de connexion au webcam
			//
			function(stream){
				var url = window.URL || window.webkitURL;
				webcam.src = url ? url.createObjectURL(stream) : stream;
				webcam.play();
			},
			// --- Fonction traitant l'echec de connexion au webcam
			//
			function(erreur){
				alert('Something went wrong. (error code ' + erreur.code + ')');
				return;
			}
		);
	}
	else {
		alert('Sorry, the browser you are using doesn\'t support getUserMedia');
		return;
	}
	
	// --- Fonctions secondaires --- //
	// ----------------------------- //
	
	function takePhoto() {
        var photo = document.getElementById('photo'),
            context = photo.getContext('2d');
     
        // "Dessiner" la video dans le canvas
		photo.width = webcam.clientWidth;
        photo.height = webcam.clientHeight;
     
        context.drawImage(webcam, 0, 0, photo.width, photo.height);
    }
	
	// Evenement de prise de capture d'ecran
	var photoButton = document.getElementById('takePhoto');
	photoButton.addEventListener('click', takePhoto, false);
	
});